from motor.motor_asyncio import AsyncIOMotorClient

from core.config import settings
from .mongodb import db


def connect_to_mongo():
    db.client = AsyncIOMotorClient(settings.DATABASE_URI)


def close_mongo_connection():
    db.client.close()
