from pydantic import BaseModel


class CheckData(BaseModel):
    db_name: str
    event_name: str
    is_unique: bool
    props: dict
    default_field: dict = dict()
    where: dict = dict()
    game:str


class AddTemplate(BaseModel):
    check: CheckData
    title: str


class DelTemplate(BaseModel):
    title: str
