from datetime import datetime
from typing import List, Union, Dict
from pydantic import BaseModel
from typing import Optional


class operate_log(BaseModel):
    user_id: str  # 求职者的唯一id
    who: str  # 谁操作的
    why: str  # 为什么操作
    content: str  # 操作的内容
    times: datetime=str(datetime.now()).split('.')[0]  # 操作的时间


class get_operate_log(BaseModel):
    user_id: str  # 求职者的唯一id
