from typing import Any, List
from datetime import date
from pydantic import BaseModel


class Overview(BaseModel):
    cat: str = 'account'
    bundle_id: List[str] = None
    os: List[str] = None
    sdate: date
    edate: date
    owner_name: List[str] = None
    channel: List[str] = None
