import numpy as np


def division(a, b, n=2):
    res = 0
    try:
        res = round(a / b, n)
        if np.isnan(res) or res == np.inf:
            res = 0
    except ZeroDivisionError:
        pass
    return res
