from motor.motor_asyncio import AsyncIOMotorDatabase
import schemas
from crud.base import CRUDBase

__all__ = 'email_record',

from utils import get_uid


class Email_record(CRUDBase):
    # 获取对应求职者的邮件发送数据
    async def all_record(self, db: AsyncIOMotorDatabase,data_in: schemas.get_email_record):
        return await self.find_many(db, {'user_id':data_in.user_id},{'_id': 0})

    # 修改数据
    # async def update(self, db: AsyncIOMotorDatabase, data_in: schemas.AddProjectnumber):
    #     game = data_in.game
    #     add_ditch = []
    #     for member in data_in.ditch:
    #         add_ditch.append(member.dict())
    #     await self.update_one(db, {'game': game}, {'$set': {'ditch': add_ditch}})

    # 插入数据
    async def create(self, db: AsyncIOMotorDatabase, data_in: schemas.email_record):
        await self.insert_one(db, data_in.dict())


email_record = Email_record('email_record')
