from pydantic import BaseModel
from typing import List


class ProjectnumberList(BaseModel):
    main_channel: str
    ditch: str


class ProjectnumberInsert(BaseModel):
    game: str
    ditch: List[ProjectnumberList]
    name: str

class AddProjectnumber(BaseModel):
    game: str
    ditch: List[ProjectnumberInsert]
