from typing import List, Union, Dict

from pydantic import BaseModel
from typing import Optional


class Sql(BaseModel):
    sql: str


class CkQuery(BaseModel):
    eventView: dict = None
    events: Union[List[dict], dict] = None
    report_id: str = None
    ext_filter: dict = dict()

class Ck_seek_user(BaseModel):
    user_arrt_title: str  # 用户属性
    user_arrt_id: str  # 用户属性id
    user_arrt_type: str  # 用户属性type
    comparator_title: str  # 筛选条件
    comparator_id: str  # 筛选条件id
    condition: str  # 手动输入条件，区间用~符号隔开，如0~10
    start_time: str  # 开始时间
    end_time: str  # 结束时间
    pages: int = 1   # 分页的当前页


class Ck_solo_user(BaseModel):
    account_id : str # #account_id
    start_time: str  # 开始时间 例：2022-04-02
    end_time: str  # 结束时间
    event_list: List[Dict] =None#事件名

class Times(BaseModel):
    start_time: str  # 开始时间 例：2022-04-02 00:00:00
    end_time: str  # 结束时间