from typing import Any, List, Union

from pydantic import BaseModel, Field

from schemas import DBBase
from typing import Optional


class Url_list(BaseModel):
    name: str = None
    auth_id: str = None
    path_name: str = None
    api_list: List[str] = None
    api_name: List[str] = None
    state: List[bool] = None
    system: int = None


class Url_lists(BaseModel):
    name: str = None
    auth_id: str = None
    path_name: str = None
    api_list: List[str] = None
    api_name: List[str] = None
    state: List[bool] = None
    system: int = None
    game: str = None


class Url_data(BaseModel):
    api_list: List[str] = None
    api_name: List[str] = None
    path_name: str = None
    stath_name: List[bool] = None


class Datalist(BaseModel):
    path: str
    path_name: str
    role_id: str
    system: int


class Add_role(BaseModel):
    path_name: List[str]
    system: int
    name: str

class Del_role(BaseModel):
    path: str
    path_name: str
    role_id: str
class Editname(BaseModel):
    role_id: str #= Field(..., description='要编辑的id')
    name: str = None
    desc: str = None

class Del_roles(BaseModel):
    game:str
    role_id:str
    username:str